Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740416 - app-text/fb2edit depends on deprecated dev-qt/qtwebkit
Summary: app-text/fb2edit depends on deprecated dev-qt/qtwebkit
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-09-04 23:03 UTC by Andreas Sturmlechner
Modified: 2021-04-24 18:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-09-04 23:03:36 UTC
QtWebKit's time is very limited, it is odd to see a new package added with this dependency.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-09-04 23:09:52 UTC
Not a new package, you should have checked for prior categories.

It was dropped in commit b172d8dcf04580b9e1f4d8c66158cc00e14375b0.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-09-04 23:10:57 UTC
BDEPEND is wrongly inheriting RDEPEND.
Comment 3 Andreas Sturmlechner gentoo-dev 2020-09-04 23:11:42 UTC
No DEPEND, how does that work?
Comment 4 Andreas Sturmlechner gentoo-dev 2020-09-04 23:12:30 UTC
Please check with upstream if they have any plans to port to qtwebengine, I don't speak the language.
Comment 5 Larry the Git Cow gentoo-dev 2020-09-06 16:22:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78308087a9f142e73cb4758a6a1034380e32f7ab

commit 78308087a9f142e73cb4758a6a1034380e32f7ab
Author:     Andrey Grozin <grozin@gentoo.org>
AuthorDate: 2020-09-06 16:21:37 +0000
Commit:     Andrey Grozin <grozin@gentoo.org>
CommitDate: 2020-09-06 16:21:37 +0000

    app-text/fb2edit: dependencies fixed
    
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=740416
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Andrey Grozin <grozin@gentoo.org>

 app-text/fb2edit/fb2edit-0.1.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 6 Andrey Grozin gentoo-dev 2020-09-06 16:36:59 UTC
I know that fb2edit used to be in the tree. It as based on Qt4, and was dropped when Qt4 disappeared. I was glad to find a fork ported to Qt5, and committed it to the tree. I tried to contact the author, but got no reply. It seems that this was a one-time job: the Qt5 version was committed to github in October 2019, and nothing changed since that moment. I am rather sure that nobody is working on the port to qtwebengine.
This is the only Linux program to create (and edit) fb2 files, the format of ebooks most popular in Russia (western countries seem to prefer epub). There are no alternatives (there are some Windows programs, as far as I know). Of course, fb2 is xml, and one can use an ordinary text editor; after each save one would have to reload the file to an fb2 viewer (no viewer reloads changed files automatically). In fb2edit the result of each editing action is seen immediately.
It would be a pity to have no program for creating fb2 books in Gentoo. I am absolutely not an expert in qtwebengine or qtwebkit. Is there any instruction for porting to qtwebengine? Are their APIs similar?
Comment 7 Andreas Sturmlechner gentoo-dev 2020-10-12 17:22:03 UTC
It seems then the original upstream is not entirely gone (you may want to check out their latest fix):
https://github.com/lintest/fb2edit

Re porting work, I can't give you any pointers there.
Comment 8 Andreas Sturmlechner gentoo-dev 2020-10-23 13:16:06 UTC
Found one by chance: https://doc.qt.io/qt-5/qtwebenginewidgets-qtwebkitportingguide.html
Comment 9 Andreas Sturmlechner gentoo-dev 2020-11-28 20:42:32 UTC
Any news here?